라즈베리파이에서 일반적으로 apt-get을 통하여 node.js를 설치할경우 구버전인 0.6버전으로 설치되는데요.


그럴경우 node.js에서 원할히 express 및 socket.io를 사용할수 없죠.


express와 socket.io를 사용하기 위해서는 최소 0.8 버전이상을 사용하여야 해요.


따라서 여러 방법으로 최신버전(0.12)을 설치할수 있는 방법이 소개되는데 아래 방법이 가장 확실하더라구요.


참고로 따라 하실 경우 root 계정을 이용하시거나 sudo 추가하여 이용해주세요.




 # wget http://node-arm.herokuapp.com/node_latest_armhf.deb

 


데비안 계열 패키지를 제공하는곳이 있어 그곳에서 패키지 파일을 다운 받아 줍니다.



 dpkg -i node_latest_armhf.deb


다운 받은 패키지를 dpkg 명령을 통해 설치해주시면 끝!

node.js는 물론 npm도 함께 설치 됩니다.



 # node -v


이후 정상적으로 설치가 되었는지 확인해보려면 위와 같이 node.js 버전 확인 명령어를 실행해봅니다.











+ Recent posts